| Web Services for Remote Management 14.0 Reference documentation for web service interfaces to support remote management of Symantec Endpoint Protection

- Home
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

List of all members | Public Member Functions
com.symantec.sepm.webservice.admin.license.LicenseSummaryInfo Class Reference

Provides summary information about the state of licensing for a specified Symantec Endpoint Protection Manager. More...

## Public Member Functions
int | getLicenseType ()
| This license type is the type of the most current valid license. More...
boolean | isExpiredLicenses ()
| Whether any license in the license chain is expired. More...
void | setExpiredLicenses (boolean expiredLicenses)
| Client applications should not call this method. More...
boolean | isLicenseOverDeployed ()
| Whether the total license state is over-deployed. More...
void | setLicenseOverDeployed (boolean licenseOverDeployed)
| Client applications should not call this method. More...
boolean | isAnyLicenseAboutToExpire ()
| Whether any license is about to expire. More...
void | setAnyLicenseAboutToExpire (boolean anyLicenseAboutToExpire)
| Client applications should not call this method. More...
void | setLicenseType (int type)
| Client applications should not call this method. More...
long | getPurchasedSEPSeats ()
| Returns the total number of purchased seats. More...
void | setPurchasedSEPSeats (long seats)
| Client applications should not call this method. More...
long | getPurchasedSNACSeats ()
| Returns the total number of purchased seats. More...
void | setPurchasedSNACSeats (long seats)
| Client applications should not call this method. More...
long | getUsedSEPSeats ()
| Returns the total number of used seats. More...
void | setUsedSEPSeats (long seats)
| Client applications should not call this method. More...
long | getUsedSNACSeats ()
| Returns the total number of used seats. More...
void | setUsedSNACSeats (long seats)
| Client applications should not call this method. More...
String | getNextRenewalDeadline ()
| Returns the renewal deadline of the next license that is about to expire. More...
void | setNextRenewalDeadline (String deadline)
| Client applications should not call this method. More...
LicenseInfo[] | getLicenseInfoList ()
| Information about each license in this license chain. More...
void | setLicenseInfoList (LicenseInfo[] licenses)
| Client applications should not call this method. More...

## Detailed Description

Provides summary information about the state of licensing for a specified Symantec Endpoint Protection Manager.

Information includes the number of used seats and purchased seats, the next renewal deadline, whether licensing is in an over deployed state, and whether any license is about to expire (will expire within thirty days). An array of child LicenseInfo objects contains information about each license in the license chain.

The license type for LicenseSummaryInfo represents the type of the most current license. For example, if a trial license exists and is not expired, and a license is subsequently purchased, two LicenseInfo objects exist, one for the trial license and one for the purchased license. The LicenseSummaryInfo object in this case contains only a license type for the purchased license (SEPE_PAID or SEPSB_PAID).

## Member Function Documentation

int com.symantec.sepm.webservice.admin.license.LicenseSummaryInfo.getLicenseType | ( |  | ) |

This license type is the type of the most current valid license.

Any older licenses or invalid licenses are not accounted for here.

See also
  LicenseInfo

Returns
  an integer value that represents the currently valid license type.

Possible values and their meaning:

0 = LICENSE_STATE_SEPSB_TRIAL. A trial license for Symantec Endpoint Protection Small Business Edition.

1 = LICENSE_STATE_SEPSB_PAID. A paid license for Symantec Endpoint Protection Small Business Edition.

2 = LICENSE_STATE_SEPE_TRIAL. A trial license for Symantec Endpoint Protection Enterprise Edition.

3 = LICENSE_STATE_SEPE_UPGRADE. An upgrade license for Symantec Endpoint Protection Enterprise Edition.

4 = LICENSE_STATE_SEPE_PAID. A paid license for Symantec Endpoint Protection Enterprise Edition.

5 = LICENSE_STATE_UNKNOWN. The license type is unknown (licensing error). For suggestions about how to fix, see the Symantec Endpoint Protection documentation or other resources described in the Integration Guide.

boolean com.symantec.sepm.webservice.admin.license.LicenseSummaryInfo.isExpiredLicenses | ( |  | ) |

Whether any license in the license chain is expired.

Returns
  whether the management server reports expired licenses.

void com.symantec.sepm.webservice.admin.license.LicenseSummaryInfo.setExpiredLicenses | ( | boolean | expiredLicenses | ) |

Client applications should not call this method.

This method modifies only the local object. Any changes are not sent back to the management server.

Parameters

  expiredLicenses | whether there are expired licenses.

boolean com.symantec.sepm.webservice.admin.license.LicenseSummaryInfo.isLicenseOverDeployed | ( |  | ) |

Whether the total license state is over-deployed.

Returns
  whether the license is over-deployed.

void com.symantec.sepm.webservice.admin.license.LicenseSummaryInfo.setLicenseOverDeployed | ( | boolean | licenseOverDeployed | ) |

Client applications should not call this method.

This method modifies only the local object. Any changes are not sent back to the management server.

Parameters

  licenseOverDeployed | whether the license is over-deployed.

boolean com.symantec.sepm.webservice.admin.license.LicenseSummaryInfo.isAnyLicenseAboutToExpire | ( |  | ) |

Whether any license is about to expire.

The warning period is thirty days.

Returns
  true if any license will expire within the next thirty days, false otherwise

void com.symantec.sepm.webservice.admin.license.LicenseSummaryInfo.setAnyLicenseAboutToExpire | ( | boolean | anyLicenseAboutToExpire | ) |

Client applications should not call this method.

This method modifies only the local object. Any changes are not sent back to the management server.

Parameters

  anyLicenseAboutToExpire | whether any license will expire within thirty days.

void com.symantec.sepm.webservice.admin.license.LicenseSummaryInfo.setLicenseType | ( | int | type | ) |

Client applications should not call this method.

This method modifies only the local object. Any changes are not sent back to the management server.

Parameters

  type | an int that represents the license type.

long com.symantec.sepm.webservice.admin.license.LicenseSummaryInfo.getPurchasedSEPSeats | ( |  | ) |

Returns the total number of purchased seats.

Returns
  the number of purchased seats for Symantec Endpoint Protection.

void com.symantec.sepm.webservice.admin.license.LicenseSummaryInfo.setPurchasedSEPSeats | ( | long | seats | ) |

Client applications should not call this method.

This method modifies only the local object. Any changes are not sent back to the management server.

Parameters

  seats | the number of purchased seats for Symantec Endpoint Protection.

long com.symantec.sepm.webservice.admin.license.LicenseSummaryInfo.getPurchasedSNACSeats | ( |  | ) |

Returns the total number of purchased seats.

Returns
  the number of purchased seats for Symantec Network Access Control.

void com.symantec.sepm.webservice.admin.license.LicenseSummaryInfo.setPurchasedSNACSeats | ( | long | seats | ) |

Client applications should not call this method.

This method modifies only the local object. Any changes are not sent back to the management server.

Parameters

  seats | the number of purchased seats for Symantec Network Access Control.

long com.symantec.sepm.webservice.admin.license.LicenseSummaryInfo.getUsedSEPSeats | ( |  | ) |

Returns the total number of used seats.

Used seats are not reported per license.

Returns
  the number of used Symantec Endpoint Protection seats.

void com.symantec.sepm.webservice.admin.license.LicenseSummaryInfo.setUsedSEPSeats | ( | long | seats | ) |

Client applications should not call this method.

This method modifies only the local object. Any changes are not sent back to the management server.

Parameters

  seats | the number of used Symantec Endpoint Protection seats.

long com.symantec.sepm.webservice.admin.license.LicenseSummaryInfo.getUsedSNACSeats | ( |  | ) |

Returns the total number of used seats.

Used seats are not reported per license.

Returns
  the number of used Symantec Network Access Control seats.

void com.symantec.sepm.webservice.admin.license.LicenseSummaryInfo.setUsedSNACSeats | ( | long | seats | ) |

Client applications should not call this method.

This method modifies only the local object. Any changes are not sent back to the management server.

Parameters

  seats | the number of used Symantec Network Access Control seats.

String com.symantec.sepm.webservice.admin.license.LicenseSummaryInfo.getNextRenewalDeadline | ( |  | ) |

Returns the renewal deadline of the next license that is about to expire.

Returns
  the next renewal deadline in UTC format.

Returned using the following logic:

1. If a license that is about to expire will cause over-deployment of both Symantec Endpoint Protection and Symantec Network Access Control, the nearest renewal deadline is returned.

1. Else if a license that is about to expire will cause over-deployment of Symantec Endpoint Protection only, the renewal deadline for that license is returned.

1. Else if a license that is about to expire will cause over-deployment of Symantec Network Access Control only, the renewal deadline for that license is returned.

1. Else Symantec Endpoint Protection Manager is completely out of compliance, because all existing licenses are expired. So the method returns null.

void com.symantec.sepm.webservice.admin.license.LicenseSummaryInfo.setNextRenewalDeadline | ( | String | deadline | ) |

Client applications should not call this method.

This method modifies only the local object. Any changes are not sent back to the management server.

Parameters

  deadline | a string with the renewal deadline in UTC format.

LicenseInfo [] com.symantec.sepm.webservice.admin.license.LicenseSummaryInfo.getLicenseInfoList | ( |  | ) |

Information about each license in this license chain.

Returns
  an array of LicenseInfo objects.

Each object contains detailed information about a license in the license chain. Information includes license type, product type, number of purchased seats, and expiration date.

void com.symantec.sepm.webservice.admin.license.LicenseSummaryInfo.setLicenseInfoList | ( | LicenseInfo[] | licenses | ) |

Client applications should not call this method.

This method modifies only the local object. Any changes are not sent back to the management server.

Parameters

  licenses | an array of LicenseInfo objects.